using InteractiveKiosk.Attractions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace InteractiveKiosk
{
    /// <summary>
    /// Interaction logic for AttractionsWindow.xaml
    /// </summary>
    public partial class AttractionsWindow : Window
    {
        InteractiveKioskEntities db = new InteractiveKioskEntities();
        public AttractionsWindow()
        {
            InitializeComponent();
            

            string Kamikadze = "Камикадзе";
            var SelectedKamikadze = db.Attractions.SingleOrDefault(a => a.AttractionName == Kamikadze);
            DescriptionKamikadze.Text = SelectedKamikadze.DescriptionOfTheAttraction;
            string Kamikadze1 = "Камикадзе";
            var SelectedKamikadze1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Kamikadze1);
            LimitKamikadze.Text = SelectedKamikadze1.AgeLimit;

            string Hiphop = "Хип-Хоп";
            var SelectedHiphop = db.Attractions.SingleOrDefault(a => a.AttractionName == Hiphop);
            DescriptionHipHop.Text = SelectedHiphop.DescriptionOfTheAttraction;
            string Hiphop1 = "Хип-Хоп";
            var SelectedHiphop1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Hiphop1);
            LimitHipHop.Text = SelectedHiphop1.AgeLimit;

            string Nlo = "НЛО";
            var SelectedNlo = db.Attractions.SingleOrDefault(a => a.AttractionName == Nlo);
            DescriptionNlo.Text = SelectedNlo.DescriptionOfTheAttraction;
            string Nlo1 = "НЛО";
            var SelectedNlo1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Nlo1);
            LimitNlo.Text = SelectedNlo1.AgeLimit;

            string Faraon = "Фараон";
            var SelectedFaraon = db.Attractions.SingleOrDefault(a => a.AttractionName == Faraon);
            DescriptionFaraon.Text = SelectedFaraon.DescriptionOfTheAttraction;
            string Faraon1 = "Фараон";
            var SelectedFaraon1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Faraon1);
            LimitFaraon.Text = SelectedFaraon1.AgeLimit;

            string Kolokolchik = "Колокольчик";
            var SelectedKolokolchik = db.Attractions.SingleOrDefault(a => a.AttractionName == Kolokolchik);
            DescriptionKolokolchik.Text = SelectedKolokolchik.DescriptionOfTheAttraction;
            string Kolokolchik1 = "Колокольчик";
            var SelectedKolokolchik1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Kolokolchik1);
            LimitKolokolchik.Text = SelectedKolokolchik1.AgeLimit;

            string Express = "Звёздный экспресс";
            var SelectedExpress = db.Attractions.SingleOrDefault(a => a.AttractionName == Express);
            DescriptionZvezdnyyEkspress.Text = SelectedExpress.DescriptionOfTheAttraction;
            string Express1 = "Звёздный экспресс";
            var SelectedExpress1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Express1);
            LimitZvezdnyyEkspress.Text = SelectedExpress1.AgeLimit;

            string Solnyshko = "Солнышко";
            var SelectedSolnyshko = db.Attractions.SingleOrDefault(a => a.AttractionName == Solnyshko);
            DescriptionSolnyshko.Text = SelectedSolnyshko.DescriptionOfTheAttraction;
            string Solnyshko1 = "Солнышко";
            var SelectedSolnyshko1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Solnyshko1);
            LimitSolnyshko.Text = SelectedSolnyshko1.AgeLimit;

            string Elektromobili = "Электромобили";
            var SelectedElektromobili = db.Attractions.SingleOrDefault(a => a.AttractionName == Elektromobili);
            DescriptionElektromobili.Text = SelectedElektromobili.DescriptionOfTheAttraction;
            string Elektromobili1 = "Электромобили";
            var SelectedElektromobili1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Elektromobili1);
            LimitElektromobili.Text = SelectedElektromobili1.AgeLimit;

            string KachelyaErmak = "Качели Ермак";
            var SelectedKachelyaErmak = db.Attractions.SingleOrDefault(a => a.AttractionName == KachelyaErmak);
            DescriptionKachelyaErmak.Text = SelectedKachelyaErmak.DescriptionOfTheAttraction;
            string KachelyaErmak1 = "Качели Ермак";
            var SelectedKachelyaErmak1 = db.Attractions.SingleOrDefault(a => a.AttractionName == KachelyaErmak1);
            LimitKachelyaErmak.Text = SelectedKachelyaErmak1.AgeLimit;

            string Toropyzhka = "Торопыжка";
            var SelectedToropyzhka = db.Attractions.SingleOrDefault(a => a.AttractionName == Toropyzhka);
            DescriptionToropyzhka.Text = SelectedToropyzhka.DescriptionOfTheAttraction;
            string Toropyzhka1 = "Торопыжка";
            var SelectedToropyzhka1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Toropyzhka1);
            LimitToropyzhka.Text = SelectedToropyzhka1.AgeLimit;

            string Konvoy = "Конвой";
            var SelectedKonvoy = db.Attractions.SingleOrDefault(a => a.AttractionName == Konvoy);
            DescriptionKonvoy.Text = SelectedKonvoy.DescriptionOfTheAttraction;
            string Konvoy1 = "Конвой";
            var SelectedKonvoy1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Konvoy1);
            LimitKonvoy.Text = SelectedKonvoy1.AgeLimit;

            string MiniDzhipy = "Мини-джипы";
            var SelectedMiniDzhipy = db.Attractions.SingleOrDefault(a => a.AttractionName == MiniDzhipy);
            DescriptionMiniDzhipy.Text = SelectedMiniDzhipy.DescriptionOfTheAttraction;
            string MiniDzhipy1 = "Мини-джипы";
            var SelectedMiniDzhipy1 = db.Attractions.SingleOrDefault(a => a.AttractionName == MiniDzhipy1);
            LimitMiniDzhipy.Text = SelectedMiniDzhipy1.AgeLimit;

            string BatutMario = "Батут Марио";
            var SelectedBatutMario = db.Attractions.SingleOrDefault(a => a.AttractionName == BatutMario);
            DescriptionBatutMario.Text = SelectedBatutMario.DescriptionOfTheAttraction;
            string BatutMario1 = "Батут Марио";
            var SelectedBatutMario1 = db.Attractions.SingleOrDefault(a => a.AttractionName == BatutMario1);
            LimitBatutMario.Text = SelectedBatutMario1.AgeLimit;

            string AlyeParusa = "Алые паруса";
            var SelectedAlyeParusa = db.Attractions.SingleOrDefault(a => a.AttractionName == AlyeParusa);
            DescriptionAlyeParusa.Text = SelectedAlyeParusa.DescriptionOfTheAttraction;
            string AlyeParusa1 = "Алые паруса";
            var SelectedAlyeParusa1 = db.Attractions.SingleOrDefault(a => a.AttractionName == AlyeParusa1);
            LimitAlyeParusa.Text = SelectedAlyeParusa1.AgeLimit;

            string Assorti = "Ассорти";
            var SelectedAssorti = db.Attractions.SingleOrDefault(a => a.AttractionName == Assorti);
            DescriptionAssorti.Text = SelectedAssorti.DescriptionOfTheAttraction;
            string Assorti1 = "Ассорти";
            var SelectedAssorti1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Assorti1);
            LimitAssorti.Text = SelectedAssorti1.AgeLimit;

            string Kanoe = "Каноэ";
            var SelectedKanoe = db.Attractions.SingleOrDefault(a => a.AttractionName == Kanoe);
            DescriptionKanoe.Text = SelectedKanoe.DescriptionOfTheAttraction;
            string Kanoe1 = "Фараон";
            var SelectedKanoe1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Kanoe1);
            LimitKanoe.Text = SelectedKanoe1.AgeLimit;

            string IgrovayaKomnata = "Мягкая комната";
            var SelectedIgrovayaKomnata = db.Attractions.SingleOrDefault(a => a.AttractionName == IgrovayaKomnata);
            DescriptionIgrovayaKomnata.Text = SelectedIgrovayaKomnata.DescriptionOfTheAttraction;
            string IgrovayaKomnata1 = "Мягкая комната";
            var SelectedIgrovayaKomnata1 = db.Attractions.SingleOrDefault(a => a.AttractionName == IgrovayaKomnata1);
            LimitIgrovayaKomnata.Text = SelectedIgrovayaKomnata1.AgeLimit;

            string Gusenica = "Гусеница";
            var SelectedGusenica = db.Attractions.SingleOrDefault(a => a.AttractionName == Gusenica);
            DescriptionGusenica.Text = SelectedGusenica.DescriptionOfTheAttraction;
            string Gusenica1 = "Гусеница";
            var SelectedGusenica1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Gusenica1);
            LimitGusenica.Text = SelectedGusenica1.AgeLimit;

            string RoskoshnayaKarusel = "Роскошная карусель";
            var SelectedRoskoshnayaKarusel = db.Attractions.SingleOrDefault(a => a.AttractionName == RoskoshnayaKarusel);
            DescriptionRoskoshnayaKarusel.Text = SelectedRoskoshnayaKarusel.DescriptionOfTheAttraction;
            string RoskoshnayaKarusel1 = "Роскошная карусель";
            var SelectedRoskoshnayaKarusel1 = db.Attractions.SingleOrDefault(a => a.AttractionName == RoskoshnayaKarusel1);
            LimitRoskoshnayaKarusel.Text = SelectedRoskoshnayaKarusel1.AgeLimit;

            string KolesoObozreniya = "Колесо обозрения";
            var SelectedKolesoObozreniya = db.Attractions.SingleOrDefault(a => a.AttractionName == KolesoObozreniya);
            DescriptionKolesoObozreniya.Text = SelectedKolesoObozreniya.DescriptionOfTheAttraction;
            string KolesoObozreniya1 = "Колесо обозрения";
            var SelectedKolesoObozreniya1 = db.Attractions.SingleOrDefault(a => a.AttractionName == KolesoObozreniya1);
            LimitKolesoObozreniya.Text = SelectedKolesoObozreniya1.AgeLimit;

            string AkuliyOstrov = "Акулий остров";
            var SelectedAkuliyOstrov = db.Attractions.SingleOrDefault(a => a.AttractionName == AkuliyOstrov);
            DescriptionAkuliyOstrov.Text = SelectedAkuliyOstrov.DescriptionOfTheAttraction;
            string AkuliyOstrov1 = "Акулий остров";
            var SelectedAkuliyOstrov1 = db.Attractions.SingleOrDefault(a => a.AttractionName == AkuliyOstrov1);
            LimitAkuliyOstrov.Text = SelectedAkuliyOstrov1.AgeLimit;

            string Vals = "Вальс";
            var SelectedVals = db.Attractions.SingleOrDefault(a => a.AttractionName == Vals);
            DescriptionVals.Text = SelectedVals.DescriptionOfTheAttraction;
            string Vals1 = "Вальс";
            var SelectedVals1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Vals1);
            LimitVals.Text = SelectedVals1.AgeLimit;

            string Tir = "Аркады";
            var SelectedTir = db.Attractions.SingleOrDefault(a => a.AttractionName == Tir);
            DescriptionTir.Text = SelectedTir.DescriptionOfTheAttraction;
            string Tir1 = "Аркады";
            var SelectedTir1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Tir1);
            LimitTir.Text = SelectedTir1.AgeLimit;

            string CepochnayaKarusel = "Цепочная карусель";
            var SelectedCepochnayaKarusel = db.Attractions.SingleOrDefault(a => a.AttractionName == CepochnayaKarusel);
            DescriptionCepochnayaKarusel.Text = SelectedCepochnayaKarusel.DescriptionOfTheAttraction;
            string CepochnayaKarusel1 = "Цепочная карусель";
            var SelectedCepochnayaKarusel1 = db.Attractions.SingleOrDefault(a => a.AttractionName == CepochnayaKarusel1);
            LimitCepochnayaKarusel.Text = SelectedCepochnayaKarusel1.AgeLimit;

            string DzhetLebedi = "Джет-Лебеди";
            var SelectedDzhetLebedi = db.Attractions.SingleOrDefault(a => a.AttractionName == DzhetLebedi);
            DescriptionDzhetLebedi.Text = SelectedDzhetLebedi.DescriptionOfTheAttraction;
            string DzhetLebedi1 = "Джет-Лебеди";
            var SelectedDzhetLebedi1 = db.Attractions.SingleOrDefault(a => a.AttractionName == DzhetLebedi1);
            LimitDzhetLebedi.Text = SelectedDzhetLebedi1.AgeLimit;

            string BampernyeLodki = "Бамперные лодки";
            var SelectedBampernyeLodki = db.Attractions.SingleOrDefault(a => a.AttractionName == BampernyeLodki);
            DescriptionBampernyeLodki.Text = SelectedBampernyeLodki.DescriptionOfTheAttraction;
            string BampernyeLodki1 = "Бамперные лодки";
            var SelectedBampernyeLodki1 = db.Attractions.SingleOrDefault(a => a.AttractionName == BampernyeLodki1);
            LimitBampernyeLodki.Text = SelectedBampernyeLodki1.AgeLimit;

            string VodnyyZorb = "Водный зорб";
            var SelectedVodnyyZorb = db.Attractions.SingleOrDefault(a => a.AttractionName == VodnyyZorb);
            DescriptionVodnyyZorb.Text = SelectedVodnyyZorb.DescriptionOfTheAttraction;
            string VodnyyZorb1 = "Водный зорб";
            var SelectedVodnyyZorb1 = db.Attractions.SingleOrDefault(a => a.AttractionName == VodnyyZorb1);
            LimitVodnyyZorb.Text = SelectedVodnyyZorb1.AgeLimit;

            string Safari = "Сафари";
            var SelectedSafari = db.Attractions.SingleOrDefault(a => a.AttractionName == Safari);
            DescriptionSafari.Text = SelectedSafari.DescriptionOfTheAttraction;
            string Safari1 = "Сафари";
            var SelectedSafari1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Safari1);
            LimitSafari.Text = SelectedSafari1.AgeLimit;

            string BampernyeAvto = "Бамперные автомобили";
            var SelectedBampernyeAvto = db.Attractions.SingleOrDefault(a => a.AttractionName == BampernyeAvto);
            DescriptionBampernyeAvto.Text = SelectedBampernyeAvto.DescriptionOfTheAttraction;
            string BampernyeAvto1 = "Бамперные автомобили";
            var SelectedBampernyeAvto1 = db.Attractions.SingleOrDefault(a => a.AttractionName == BampernyeAvto1);
            LimitBampernyeAvto.Text = SelectedBampernyeAvto1.AgeLimit;

            string Orbita = "Орбита";
            var SelectedOrbita = db.Attractions.SingleOrDefault(a => a.AttractionName == Orbita);
            DescriptionOrbita.Text = SelectedOrbita.DescriptionOfTheAttraction;
            string Orbita1 = "Орбита";
            var SelectedOrbita1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Orbita1);
            LimitOrbita.Text = SelectedOrbita1.AgeLimit;

        }


        private void HomeButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            MainWindow mw = new MainWindow();
            mw.Show();
            this.Close();
        }

        private void MinButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            this.WindowState = WindowState.Minimized;
        }

        private void ExitButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            this.Close();
        }

        private void Kamikadze_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Kamikadze k = new Kamikadze();
            k.Show();
            this.Close();
        }

        private void Hiphop_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Hiphop h = new Hiphop();
            h.Show();
            this.Close();
        }

        private void Nlo_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Nlo n = new Nlo();
            n.Show();
            this.Close();
        }

        private void Faraon_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Faraon f = new Faraon();
            f.Show();
            this.Close();
        }

        private void Kolokolchik_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Kolokolchik k = new Kolokolchik();
            k.Show();
            this.Close();
        }

        private void ZvezdnyyEkspress_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Express ex = new Express();
            ex.Show();
            this.Close();
        }

        private void Solnyshko_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Solnyshko s = new Solnyshko();
            s.Show();
            this.Close();
        }

        private void Elektromobili_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Elektromobili el = new Elektromobili();
            el.Show();
            this.Close();
        }

        private void KachelyaErmak_MouseDown(object sender, MouseButtonEventArgs e)
        {
            KachelyaErmak ka = new KachelyaErmak();
            ka.Show();
            this.Close();
        }

        private void Torpopyzhka_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Toropyzhka t = new Toropyzhka();
            t.Show();
            this.Close();
        }

        private void Konvoy_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Konvoy ko = new Konvoy();
            ko.Show();
            this.Close();
        }

        private void MiniDzhipy_MouseDown(object sender, MouseButtonEventArgs e)
        {
            MiniDzhipy m = new MiniDzhipy();
            m.Show();
            this.Close();
        }

        private void BatutMario_MouseDown(object sender, MouseButtonEventArgs e)
        {
            BatutMario b = new BatutMario();
            b.Show();
            this.Close();
        }

        private void AlyeParusa_MouseDown(object sender, MouseButtonEventArgs e)
        {
            AlyeParusa al = new AlyeParusa();
            al.Show();
            this.Close();
        }

        private void Assorti_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Assorti asso = new Assorti();
            asso.Show();
            this.Close();
        }

        private void Kanoe_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Kanoe kan = new Kanoe();
            kan.Show();
            this.Close();
        }

        private void IgrovayaKomnata_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //IgrovayaKomnata ik = IgrovayaKomnata();
            //ik.Show();
            //this.Close();
        }


        private void Gusenica_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //Gusenica g = Gusenica();
            //g.Show();
            //this.Close();
        }

        private void RoskoshnayaKarusel_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //RoskoshnayaKarusel rk = RoskoshnayaKarusel();
            //rk.Show();
            //this.Close();
        }

        private void KolesoObozreniya_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //KolesoObozreniya kol = KolesoObozreniya();
            //kol.Show();
            //this.Close();
        }

        private void AkuliyOstrov_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //AkuliyOstrov ao = AkuliyOstrov();
            //ao.Show();
            //this.Close();
        }

        private void Vals_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //Vals v = Vals();
            //v.Show();
            //this.Close();
        }

        private void Tir_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //Tir ti = Tir();
            //ti.Show();
            //this.Close();
        }

        private void CepochnayaKarusel_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //CepochnayaKarusel cep = CepochnayaKarusel();
            //cep.Show();
            //this.Close();
        }

        private void DzhetLebedi_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //DzhetLebedi dl = DzhetLebedi();
            //dl.Show();
            //this.Close();
        }

        private void BampernyeLodki_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //BampernyeLodki bl = BampernyeLodki();
            //bl.Show();
            //this.Close();
        }

        private void VodnyyZorb_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //VodnyyZorb vz = BampernyeLodki();
            //vz.Show();
            //this.Close();
        }

        private void Safari_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //Safari saf = Safari();
            //saf.Show();
            //this.Close();
        }

        private void BampernyeAvto_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //BampernyeAvto ba = BampernyeAvto();
            //ba.Show();
            //this.Close();
        }

        private void Orbita_MouseDown(object sender, MouseButtonEventArgs e)
        {
            //Orbita or = Orbita();
            //or.Show();
            //this.Close();
        }
    }
}
